/* General Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Font and Body Settings */
body {
    text-align: center;
    font-family: 'Montserrat', sans-serif;
    line-height: 1.6;
    background-color: #B0C3C1; /* Off-White background */
}

h1 {
    font-size: 32px;
    margin: 0 0 24px 0;
    color: #00994C;
}

/* Navbar */
.navbar-container {
    max-width: 1440px;
    margin: auto;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 24px;
    width: 100%;
    z-index: 10;
}

.logo {
    max-width: 150px;
}

.navbar-list {
    list-style: none;
    display: flex;
    margin: 0;
    padding: 0;
}

.navbar-list li {
    margin-left: 30px;
}

.navbar-list li a {
    text-decoration: none;
    font-weight: 700;
    color: #1D3231;
    padding: 10px 20px;
    transition: all 0.3s ease;
}

.navbar-list li a:hover {
    background-color: rgba(255, 255, 255, 0.3);
    border-radius: 5px;
}

.navbar .icon {
    display: none;
}

@media screen and (max-width: 1000px) {

    nav {
        flex-basis: 100%;
    }

    .navbar {
        flex-wrap: wrap;
    }

    .navbar-list li {
        display: none;
    }

    .navbar .icon {
        display: block;
    }
}

/* Navbar responsive styling */
@media screen and (max-width: 1000px) {

    .navbar-list.responsive {
        flex-direction: column;
        padding-top: 24px;
    }

    .navbar-list.responsive li {
        display: block;
        text-align: center;
        margin: 8px 0
    }
}


/* Hero Section */
#hero {
    /* height: 100vh; */
    margin: auto;
    padding: 124px 0;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.hero-content {
    max-width: 1440px;
    margin: 0 64px;
    color: #1D3231;
    text-align: center;
    z-index: 2;
}

.animated-title {
    font-size: 48px;
    text-transform: uppercase;
    animation: fadeInUp 1s ease-in-out;
}

.animated-description {
    font-size: 18px;
    margin: 20px 0;
    padding-bottom: 20px;
    animation: fadeInUp 1.5s ease-in-out;
}

.cta-button {
    padding: 15px 30px;
    background-color: #00994C;
    color: white;
    font-size: 18px;
    text-transform: uppercase;
    text-decoration: none;
    border-radius: 30px;
    transition: all 0.3s ease;
}

.cta-button:hover {
    background-color: #00994C;
}

/* Latest news section */
#latest-news-container {
    background-color: #F7F7F7;
}

.latest-news-content {
    max-width: 1440px;
    margin: 0 auto;
    padding: 64px;
}

.latest-news {
    display: flex;
    text-align: center;
}

@media screen and (max-width: 1000px) {
    .latest-news {
        flex-direction: column;
    }
}

.news-container {
    flex: 1;
    text-decoration: none;
    color: inherit;
    margin: 16px;
}

#goals-container {
    background-color: #fff;
}

.goals-content {
    padding: 64px;
    max-width: 1440px;
    margin: 0 auto;
    justify-content: space-around;
    text-align: center;
}

@media screen and (max-width: 1000px) {
    .goals-list {
        flex-direction: column;
    }
}

.goals-list {
    display: flex;
}

.icon-box {
    margin: 16px;
    flex: 1;
}

.icon-box img {
    width: 100px;
    height: 100px;
    margin-bottom: 15px;
    animation: bounceIn 2s ease-in-out;
}

.icon-box h3 {
    font-size: 24px;
    margin-bottom: 10px;
    color: #00994C; /* Fresh Green */
}

.icon-box p {
    font-size: 14px;
    color: #666;
}

/* Animations */
@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(30px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes bounceIn {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-30px);
    }
    60% {
        transform: translateY(-15px);
    }
}

/* About Section */
#about-container {
    background-color: #F7F7F7; /* Off-white background */
    /* text-align: center; */
}

.about-content {
    padding: 64px;
    max-width: 1440px;
    margin: 0 auto;
}

.about-content p {
    font-size: 18px;
    color: #3C3F41;
    margin-bottom: 20px;
}

/* Partners Section */

#partners-container {
    background-color: #003231;
    color: white;
}

.partners-content {
    max-width: 1440px;
    margin: auto;
    padding: 64px;
}

/* .partner-grid {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    list-style: none;
    gap: 12px;
    margin: 0 auto;
    padding-top: 24px;
} */

.partner-grid {
    display: flex;
    flex-wrap: wrap;
}

@media screen and (max-width: 1000px) {
    .partner-grid {
        flex-direction: column;
    }
}

.partner-cell {
    flex-basis: 33%;
    text-align: center;
}

.partner-icon-container {
    margin: auto;
    max-width: 240px;
    height: 128px;
}

.partner-icon {
    width: 100%;
    height: 100%;
    object-fit: contain;
    animation: bounceIn 2s ease-in-out;
}

.partner-cell p {
    font-size: 24px;
    font-weight: 600;
}

.partner-cell a {
    text-decoration: none;
    color: inherit;
}

/* Contact Section */
#contact-container {
    background-color: #fff;
    /* text-align: center; */
}

.contact-content {
    max-width: 1440px;
    margin: auto;
    padding: 64px;
}

.contact-content p {
    font-size: 18px;
    color: #1D3231; /* Slate Gray */
    margin-bottom: 30px;
}

.contact-form input, 
.contact-form textarea {
    width: 100%;
    padding: 15px;
    margin-bottom: 20px;
    border: 2px solid #00994C;
    border-radius: 5px;
    font-size: 16px;
}

.contact-form button.cta-button {
    width: 100%;
    padding: 15px;
    background-color: #00994C;
    color: white;
    font-size: 18px;
    text-transform: uppercase;
    border: none;
    border-radius: 30px;
    transition: background-color 0.3s ease;
}

.about-content img {
    max-height:500px;
    max-width:500px;
    height:auto;
    width:auto;
}

.contact-form button.cta-button:hover {
    background-color: #00994C;
}

#footer-container {
    background-color: #003231;
}

.footer-content {
    padding: 12px 0;
    color: #ffffff;
    font-weight: 600;
}